package com.iamberry.wechat.service.eo;
import com.iamberry.wechat.core.entity.eo.GiftCondition;
import com.iamberry.wechat.face.eo.GiftConditionService;
import com.iamberry.wechat.service.mapper.GiftConditionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  赠品条件接口
 * @author Administrator
 * @Date 2019-10-21
 */
@Service
public class GiftConditionServiceImpl  implements GiftConditionService {
    @Autowired
    private GiftConditionMapper giftConditionMapper;
    /**
     * 获取集合
     * @param  giftCondition
     * @return List
     */
    @Override
    public List<GiftCondition> getGiftConditionList(GiftCondition  giftCondition){
        return  giftConditionMapper.getGiftConditionList(giftCondition);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  giftCondition
     */
    @Override
    public  GiftCondition  getGiftConditionById(Integer  id){
        return  giftConditionMapper.getGiftConditionById(id);
    }
}
