package com.iamberry.wechat.service.ism;

import com.iamberry.wechat.core.entity.ism.IntegralConfig;
import com.iamberry.wechat.face.ism.IntegralConfigService;
import com.iamberry.wechat.service.mapper.IntegralConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  积分配置表接口
 * @author Administrator
 * @Date 2019-11-10
 */
@Service
public class IntegralConfigServiceImpl  implements IntegralConfigService {
    @Autowired
    private IntegralConfigMapper integralConfigMapper;
    /**
     * 获取集合
     * @param  integralConfig
     * @return List
     */
    @Override
    public List<IntegralConfig> getIntegralConfigList(IntegralConfig  integralConfig){
        return  integralConfigMapper.getIntegralConfigList(integralConfig);
    }

    @Override
    public List<IntegralConfig> getSpikeListAllByPromo(int[] str) {
        return  integralConfigMapper.getSpikeListAllByPromo(str);
    }

    /**
     * 查询单条数据
     * @param  id
     * @return  integralConfig
     */
    @Override
    public  IntegralConfig  getIntegralConfigById(Integer  id){
        return  integralConfigMapper.getIntegralConfigById(id);
    }
}