<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <LINK rel="Bookmark" href="/favicon.ico" >
    <LINK rel="Shortcut Icon" href="/favicon.ico" />
    <#include "/base/add_base.ftl">
    <title>添加角色</title>
</head>
<body>

<div class="pd-20">
    <form action="/admin/sys/addRule" method="post" class="form form-horizontal" id="form-admin-add">
        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>角色名称：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <input type="text" placeholder="角色名称" name="name" id="name" class="input-text" datatype="*1-10" nullmsg="角色名称不合法">
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <label class="form-label col-xs-4 col-sm-3" style="padding-left: 0;margin-left: 0px;width: 17%;"><span class="c-red">*</span>角色权限：</label>
            <div class="formControls col-xs-8 col-sm-9" style="padding-top: 3px;">
                <ul id ="Huifold1" class ="Huifold">
                    <#list menus as menu>
                        <li class ="item">
                            <h4>${(menu.menuName)!}<b>+</b></h4>
                            <div class="info">
                                <table class="table table-border table-bordered">
                                    <thead><tr><th width="20%">权限</th><th>二级菜单名称</th></tr></thead>
                                    <tbody>
                                    <#list menu.subMenus as sub>
                                        <tr>
                                            <td><label><input class="menuId" name="menuId" type="checkbox" value="${(sub.subId)!}">选中</label></td>
                                            <td style="text-align: left;">${(sub.subName)!}</td>
                                        </tr>
                                    </#list>
                                    </tbody>
                                </table>
                            </div>
                        </li>
                    </#list>
                </ul>
            </div>
            <div class="col-4"> </div>
        </div>

        <div class="row cl">
            <div class="col-xs-8 col-sm-9 col-xs-offset-4 col-sm-offset-3" style="margin-left: 17%;">
                <input class="btn btn-primary radius" type="submit" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
            </div>
        </div>
    </form>
</div>
</body>
<script type="text/javascript">
    $(function () {
        $.Huifold("#Huifold1 .item h4","#Huifold1 .item .info","fast",1,"click");
    });
    function user_callback() {
        var len = $("input[type='checkbox']:checked").length;
        if (len <= 0) {
            layer.msg("必须选中至少一个菜单哦",{icon: 1,time:3000});
            return false;
        }
        return true;
    }
</script>
</html>