<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <link rel="Bookmark" href="/favicon.ico" >
    <link rel="Shortcut Icon" href="/favicon.ico" />
    <#include "/base/list_base.ftl">
    <title>角色列表</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 系统管理 <span class="c-gray en">&gt;</span> 角色列表 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="page-container">
    <div class="cl pd-5 bg-1 bk-gray mt-20" style="margin-bottom: 10px;margin-top: 0px">
        <span class="l"><a href="javascript:;" onclick="layer_show('添加角色','${path}/admin/sys/addRuleUI','800','500')" class="btn btn-primary radius"><i class="Hui-iconfont">&#xe600;</i> 添加角色 </a></span>
    </div>
     <table class="table table-border table-bordered table-hover">
        <thead>
        <tr class="text-c">
            <th width="100">角色id</th>
            <th width="50">角色名称</th>
            <th width="130">修改时间</th>
            <th width="130">创建时间</th>
            <th width="100">操作</th>
        </tr>
        </thead>
        <tbody>
        <#if (rules?size <= 0)> {
            <tr class="text-c"><td colspan="5">暂无数据</td></tr>
        <#else>
            <#list rules as o>
            <tr class="text-c">
                <td>${o.ruleId}</td>
                <td>${o.ruleName}</td>
                <td>${o.ruleUpdateTime?string("yyyy-MM-dd HH:mm:ss")}</td>
                <td>${o.ruleCreateTime?string("yyyy-MM-dd HH:mm:ss")}</td>
                <td class="td-manage">
                    <a style="text-decoration:none" onClick="admin_stop(this, ${o.ruleId})" href="javascript:;" title="删除"><i class="Hui-iconfont">&#xe631;</i></a>
                    <a title="编辑角色" href="javascript:layer_show('编辑角色','${path}/admin/sys/editRuleUI?id=${(o.ruleId)}','800','500')" class="ml-5" style="text-decoration:none"><i class="Hui-iconfont">&#xe61d;</i></a>
                </td>
            </tr>
            </#list>
        </#if>
        </tbody>
    </table>
</div>
</body>
</html>